#ifndef MAIN_H_INCLUDED
#define MAIN_H_INCLUDED
//-----------------------------------------------------------------------
#include "types.h"
#include "version.h"
#include "kademlia.h"
#include "network.h"
#include "file_transfer.h"
#include "settings.h"
#include "..\audio\waveio.h"
//-----------------------------------------------------------------------
#define VERSION TEXT(VER)
//-----------------------------------------------------------------------
KADEMLIA* getKad(void);
NETWORK* getNet(void);
FILE_TRANSFER* getFileTransfer(void);
SECRET_DATA* getSecretData(void);
USERS* getUserList(void);
u32 getPassword(u8* password);
void setPassword(u8* password,u32 len,settings_t* set);
void getWaveNums(UINT* wiNum, UINT* woNum);
void getVolumeMic(UINT* vol, UINT* mic);
UINT getRingVolume(void);
void setVolume(WORD value);
void setMic(WORD value);
bool isAGCEnabled(void);
void parsePacket(NET_PACKET* pac);
void appendLike(NODE* nd);
void getFileTransferPath(LPTSTR FileName);
bool acceptFileTransfer(void);
bool alowAnyone(void);
UINT getLogSize(void);
void setVolume(WAVEOUT* wout, WORD value);
bool isInLikes(const NODE* nd);
void apply_AGC(int state);
LPCTSTR get_log_file_name(void);
bool encapsulation(void);
//-----------------------------------------------------------------------
void GetMyName(LPTSTR name);
bool isTrustUser(u32* id);
void OpenChat(NODE* nd);
void ShowUserInfo(HWND hWnd, NODE* nd);
//-----------------------------------------------------------------------
void SetWaveParam(settings_t* set);
//-----------------------------------------------------------------------
#endif //MAIN_H_INCLUDED
